/* header */
#gd-header {
  background: #fff;
}

.twrbo-l-head {
  background: #fff;
}

.twrbo-c-megaBurger {
  top: 6px;
  background: #fff;
}

.twrbo-h-openMenu-l .twrbo-c-megaBurger {
  background-color: #007979;
  top: 0;
}

.twrbo-h-openMenu-l .twrbo-c-megaBurger > span {
  width: 32px;
  height: 32px;
  background-size: 32px;
}

.twrbo-c-megaBurger > span {
  display: block;
  width: 24px;
  height: 24px;
  background-size: 24px;
  background-image: url('./../images/hamburger.svg');
}

.twrbo-c-megaSearch {
  position: absolute;
  top: 6px;
  right: 0;
  display: inline-block;
  margin-right: -90px;
  padding: 9px;
  background-color: #fff;
  box-sizing: border-box;
  z-index: 100;
}

.twrbo-c-megaSearch > span {
  display: block;
  width: 24px;
  height: 24px;
  background-size: 24px;
  background-image: url('./../images/search-mobile.svg');
}

.twrbo-l-head__logo {
  border-bottom: 1px solid #e0e0e0;
}

.twrbo-c-headLogo {
  width: 141px;
  height: 32px;
  background-image: url('./../images/components/header/logo-sm-3x.png');
  background-size: 141px 32px;
  height: 53px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.twrbo-c-headSignin__handler,
.twrbo-c-headSignin__handler:hover {
  background-color: transparent;
  border: none;
  font-weight: 700;
  color: #ff5441;
}

@media only screen and (min-width: 1170px) {
  /* header */
  #gd-header {
    background: #ebeff2;
  }

  .twrbo-l-head {
    background: #ebeff2;
  }

  .twrbo-c-headLogo {
    width: 124px;
    height: 34px;
    padding: 0;
    background-image: url('./../images/components/header/logo-lg-3x.png');
    background-size: 124px 34px;
    margin: 6px 0;
  }

  .twrbo-c-headMenu li a {
    color: #12171a;
    padding: 11px 16px;
    font-size: 14px;
  }

  .twrbo-c-headMenu li a:hover {
    color: #067a75;
    font-weight: 700;
    background-color: rgba(6, 122, 117, 0.06);
  }

  .twrbo-c-headMenu li a:after {
    content: none;
  }

  .twrbo-c-headMenu li a.twrbo-is-active {
    color: #12171a;
    font-weight: 700;
    background-color: #fff;
  }

  .twrbo-l-megaMenu {
    height: auto;
  }

  .twrbo-c-megaSearch {
    display: none;
  }

  /* Header 按鈕 */
  .twrbo-c-headFunc__item {
    padding-left: 24px;
  }

  .twrbo-c-headFunc__item > a > span {
    color: #12171a;
    transition-duration: 0.3s;
  }

  .twrbo-c-headFunc__item > a:hover > span {
    color: #067a75;
    font-weight: normal;
  }

  .twrbo-c-iHeader--location:before {
    content: none;
  }

  .twrbo-c-iHeader--search:before {
    background-image: none;
    width: 24px;
    height: 24px;
    mask-image: url('./../images/icons/search.svg');
    -webkit-mask-box-image: url('./../images/icons/search.svg');
    mask-size: 24px 24px;
    background-color: #12171a;
    transition-duration: 0.3s;
  }

  .twrbo-c-iHeader--search:hover::before {
    background-color: #067a75;
  }

  .twrbo-c-iHeader--login:before {
    content: none;
  }

  .twrbo-c-headSignin__handler {
    padding: 10px 24px;
    background-color: #ff5441;
    color: #fff;
    font-size: 18px;
    border: 0;
    border-radius: 8px;
    transition-duration: 0.3s;
  }

  .twrbo-c-headSignin__handler:hover:hover {
    background-color: #d42d1a;
    color: rgba(255, 255, 255, 0.6);
  }

  .twrbo-l-headSearch {
    background-color: transparent;
  }

  .twrbo-l-textboxGroup {
    background-color: #fff;
    border: solid 1px #e0e0e0;
    border-radius: 8px;
  }

  .twrbo-c-iHeader--close:before {
    background-image: url('./../images/icons/close.svg');
  }

  .textbox.twrbo-is-transparent {
    color: #12171a;
  }

  .textbox.twrbo-is-transparent::placeholder {
    color: rgba(#12171a, 0.4);
  }

  .textbox.twrbo-is-transparent::-webkit-input-placeholder {
    color: #12171a !important;
    opacity: 0.4;
  }

  /* mega L1 */
  .twrbo-c-megaL1__logo {
    background: url('/content/dam/twrbo/ctbc-web_mix/images/components/header/logo-ball-3x.png');
    margin-right: 16px;
    width: 38px;
    height: 38px;
    background-repeat: no-repeat;
    background-size: 38px 38px;
  }

  .twrbo-c-megaL1__item > a {
    color: #36444d;
    padding: 16px 16px;
  }

  .twrbo-c-megaL1__item:hover > a {
    background-color: initial;
  }

  .twrbo-c-megaL1__item > a:before {
    content: none;
  }

  .twrbo-c-megaL1__item > a:after {
    left: 0;
    width: 0;
    transition-duration: 0.3s;
  }

  .twrbo-c-megaL1__item:hover > a::after {
    width: 100%;
  }

  .twrbo-c-megaL1__item.is-current {
    background-color: initial;
  }

  .twrbo-c-megaL1__item.is-current > a {
    color: #12171a;
  }

  .twrbo-c-megaL1__item.is-current > a:after {
    width: 100%;
    background-color: #ff5441;
  }

  /* mega L2 */
  .twrbo-c-megaL2__item > a:hover {
    color: #007979;
  }

  .twrbo-c-iHeader--logout:before, .twrbo-c-iHeader--logout:after {
    content:none;
}